package cnrg.itx.ds;

/**
 * Element class provides support for list data structure to interface with the node element.
 */
class Element
{
	private Object m_object = null;
	private Element m_next = null;
	
	public void setObject(Object newObject){
		m_object = newObject;
	}
	
	public void setNext(Element newElement){
		m_next = newElement;
	}
	
	public Object getObject(){
		return m_object;
	}
		
	public Element getNext() {
		return m_next;
	}
}
